Generate video
curl --request POST \
--url https://api.siray.ai/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aspect_ratio": "16:9",
"audio_enable": false,
"cfg_scale": 0.5,
"duration": 3,
"elements": [
{
"frontal_image": "example_value",
"reference_images": [
"example_value"
],
"video": "example_value"
}
],
"end_image": "example_value",
"image": "example_value",
"model": "kuaishou/kling-3.0-i2v",
"negative_prompt": "example_value",
"prompt": "example_value"
}
'import requests
url = "https://api.siray.ai/v1/video/generations"
payload = {
"aspect_ratio": "16:9",
"audio_enable": False,
"cfg_scale": 0.5,
"duration": 3,
"elements": [
{
"frontal_image": "example_value",
"reference_images": ["example_value"],
"video": "example_value"
}
],
"end_image": "example_value",
"image": "example_value",
"model": "kuaishou/kling-3.0-i2v",
"negative_prompt": "example_value",
"prompt": "example_value"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '16:9',
audio_enable: false,
cfg_scale: 0.5,
duration: 3,
elements: [
{
frontal_image: 'example_value',
reference_images: ['example_value'],
video: 'example_value'
}
],
end_image: 'example_value',
image: 'example_value',
model: 'kuaishou/kling-3.0-i2v',
negative_prompt: 'example_value',
prompt: 'example_value'
})
};
fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Kuaishou
Kling 3.0 i2v
POST
/
v1
/
video
/
generations
Generate video
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for video generation models
Aspect ratio
Available options:
16:9, 9:16, 1:1 Fixed duration
Available options:
3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 Input image for generation, it can be data URL or image URL
Model name to use for the request
Available options:
kuaishou/kling-3.0-i2v Text prompt for generation
Whether to generate audio along with video
Generation guidance strength (0-1)
Required range:
0 <= x <= 1Character/object elements for video generation
Show child attributes
Show child attributes
End frame image URL for image-to-video generation
Negative prompt to specify what should not appear in the generation
Response
200 - application/json
Successful response
⌘I
